# Uses of Interface
com.databricks.jdbc.api.internal.IDatabricksStatementInternal

Packages that use IDatabricksStatementInternal
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.api.impl.volume
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift
com.databricks.jdbc.telemetry.latency

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement IDatabricksStatementInternal
Modifier and Type
Class
Description
`class`
`DatabricksPreparedStatement`
`class`
`DatabricksStatement`
Constructors in com.databricks.jdbc.api.impl with parameters of type IDatabricksStatementInternal
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`LazyThriftResult(TFetchResultsResp initialResponse, IDatabricksStatementInternal statement, IDatabricksSession session)`
Creates a new LazyThriftResult that lazily fetches data on demand.

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.api.impl.arrow

Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type IDatabricksStatementInternal
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`ArrowStreamResult(TFetchResultsResp resultsResp, boolean isInlineArrow, IDatabricksStatementInternal parentStatementId, IDatabricksSession session)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.api.impl.arrow.incubator

Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type IDatabricksStatementInternal
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.api.impl.volume

Constructors in com.databricks.jdbc.api.impl.volume with parameters of type IDatabricksStatementInternal
Modifier
Constructor
Description
``
`VolumeOperationResult(long totalRows, long totalColumns, IDatabricksSession session, IExecutionResult resultHandler, IDatabricksStatementInternal statement)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type IDatabricksStatementInternal
Modifier and Type
Method
Description
`static List<List<Object>>`
DatabricksThriftUtil.`convertColumnarToRowBased(TFetchResultsResp resultsResp, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient with parameters of type IDatabricksStatementInternal
Modifier and Type
Method
Description
`DatabricksResultSet`
IDatabricksClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server
`DatabricksResultSet`
IDatabricksClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server asynchronously
`TFetchResultsResp`
IDatabricksClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
IDatabricksClient.`getStatementResult(StatementId statementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Fetches result for underlying statement-Id

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type IDatabricksStatementInternal
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksSdkClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksSdkClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`TFetchResultsResp`
DatabricksSdkClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksSdkClient.`getStatementResult(StatementId typedStatementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift with parameters of type IDatabricksStatementInternal
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`TFetchResultsResp`
DatabricksThriftServiceClient.`getMoreResults(IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`getStatementResult(StatementId statementId, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of IDatabricksStatementInternal in com.databricks.jdbc.telemetry.latency

Methods in com.databricks.jdbc.telemetry.latency with parameters of type IDatabricksStatementInternal
Modifier and Type
Method
Description
`void`
TelemetryCollector.`setResultFormat(IDatabricksStatementInternal statement, TSparkRowSetType executionResultFormat)`